package com.bocloud.cmp.model.agile;

import java.util.List;

/*
 * 设备组
 */
public class AgileDeviceGroupModel {
    private String fabricPoolUuid; // 设备组所属资源池。
    private String uuid; // 设备组的ID
    private String name;
    private String type; // 设备组类型，枚举：“0“:Single; “1”:Active; “2“:StandBy; “3“:Mirror。
    private String remark;
    private List<String> deviceUuids; // 设备组中的设备ID。
    private List<AgileDeviceModel> agileDeviceModels; // 设备组下的设备

    public String getUuid() {
        return uuid;
    }

    public void setUuid(String uuid) {
        this.uuid = uuid;
    }

    public List<AgileDeviceModel> getAgileDeviceModels() {
        return agileDeviceModels;
    }

    public void setAgileDeviceModels(List<AgileDeviceModel> agileDeviceModels) {
        this.agileDeviceModels = agileDeviceModels;
    }

    public List<String> getDeviceUuids() {
        return deviceUuids;
    }

    public void setDeviceUuids(List<String> deviceUuids) {
        this.deviceUuids = deviceUuids;
    }

    public String getFabricPoolUuid() {
        return fabricPoolUuid;
    }

    public void setFabricPoolUuid(String fabricPoolUuid) {
        this.fabricPoolUuid = fabricPoolUuid;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }
}
